Book Appointment API:
Description: Schedules or reschedules appointment based delivery.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_book_appointment |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl
curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_book_appointment'
--header 'rapidshyp-token: <API_KEY>'
--header 'Content-Type: application/json'
--data '{
"shipment_id": "1111111",
"abd_date": "01-03-2026",
"start_time": "16-00",
"end_time": "17-00"
}'
Request Parameters:
| Parameter | Required | Remark | Validation |
|---|---|---|---|
| shipment_id | Yes | Shipment ID | Valid shipment |
| abd_date | Yes | Appointment date | DD-MM-YYYY |
| start_time | Yes | Start time | HH-MM |
| end_time | Yes | End time | HH-MM |
Response:
JSON
{
"status": "SUCCESS",
"remark": "Appointment rescheduled successfully."
}